POST api/badgereaderapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
BadgeReaderViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_id | globally unique identifier |
None. |
|
| com_port | integer |
None. |
|
| baudrate | integer |
None. |
|
| direction | string |
Required String length: inclusive between 0 and 3 |
|
| has_correspondence | boolean |
Required |
|
| active | boolean |
Required |
|
| badge_reader_type_id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
None. |
|
| parity | integer |
Required |
|
| data_bits | integer |
Required |
|
| stop_bits | integer |
Required |
|
| handshake | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "7291ca69-e41b-4972-87e5-0ef8daf15db2",
"name": "sample string 2",
"pc_id": "154b6380-39d3-4ba2-bfb5-25c2b659a6c7",
"com_port": 1,
"baudrate": 1,
"direction": "sample string 3",
"has_correspondence": true,
"active": true,
"badge_reader_type_id": "534b308b-13e8-4f96-b2ac-945beefb72ef",
"site_id": "84a12813-b6c9-48e3-a133-6ca3dd6a6322",
"parity": 6,
"data_bits": 7,
"stop_bits": 8,
"handshake": 9
}
application/xml, text/xml
Sample:
<badgereader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <badge_reader_type_id>534b308b-13e8-4f96-b2ac-945beefb72ef</badge_reader_type_id> <baudrate>1</baudrate> <com_port>1</com_port> <data_bits>7</data_bits> <direction>sample string 3</direction> <handshake>9</handshake> <has_correspondence>true</has_correspondence> <id>7291ca69-e41b-4972-87e5-0ef8daf15db2</id> <name>sample string 2</name> <parity>6</parity> <pc_id>154b6380-39d3-4ba2-bfb5-25c2b659a6c7</pc_id> <site_id>84a12813-b6c9-48e3-a133-6ca3dd6a6322</site_id> <stop_bits>8</stop_bits> </badgereader>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"e59acb4b-f1fc-452a-823d-5920eb9978a0"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">e59acb4b-f1fc-452a-823d-5920eb9978a0</guid>